/// <reference types="node" />
export interface LoaderContext {
    mode: 'production' | 'development' | 'none';
    context: string;
    resourcePath: string;
    async(): (err: Error | null, content: string | Buffer, sourceMap?: any, meta?: any) => void;
    addDependency(path: string): void;
    addBuildDependency(path: string): void;
    importModule(path: string): any;
    utils: {
        contextify(ctx: string, path: string): string;
        absolutify(ctx: string, path: string): string;
    };
}
export default function loader(this: LoaderContext, source: string): Promise<string>;
